[BACK]Return to Makefile.common CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / sysutils / collectd

File: [cvs.NetBSD.org] / pkgsrc / sysutils / collectd / Makefile.common (download)

Revision 1.18, Sat Dec 15 21:12:23 2018 UTC (5 years, 3 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2, pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4
Changes since 1.17: +2 -2 lines

*: update email for fhajny

# $NetBSD: Makefile.common,v 1.18 2018/12/15 21:12:23 wiz Exp $
#
# used by sysutils/collectd/Makefile
# used by sysutils/collectd-amqp/Makefile
# used by sysutils/collectd-curl/Makefile
# used by sysutils/collectd-dbi/Makefile
# used by sysutils/collectd-dns/Makefile
# used by sysutils/collectd-memcached/Makefile
# used by sysutils/collectd-mysql/Makefile
# used by sysutils/collectd-network/Makefile
# used by sysutils/collectd-notify-email/Makefile
# used by sysutils/collectd-postgresql/Makefile
# used by sysutils/collectd-riemann/Makefile
# used by sysutils/collectd-rrdtool/Makefile
# used by sysutils/collectd-snmp/Makefile
# used by sysutils/collectd-write_prometheus/Makefile
# used by sysutils/p5-collectd/Makefile
# used by sysutils/py-collectd/Makefile

DISTNAME=	collectd-5.8.0
MASTER_SITES=	http://collectd.org/files/
CATEGORIES=	sysutils
EXTRACT_SUFX=	.tar.bz2

MAINTAINER=	fhajny@NetBSD.org
HOMEPAGE=	http://collectd.org/
LICENSE=	gnu-gpl-v2

GNU_CONFIGURE=		yes
USE_LIBTOOL=		yes
USE_TOOLS+=		autoconf automake pkg-config
USE_LANGUAGES=		c c99 c++

DISTINFO_FILE=		${.CURDIR}/../../sysutils/collectd/distinfo
PATCHDIR=		${.CURDIR}/../../sysutils/collectd/patches

.if !empty(COLLECTD_PACKAGE)
PKGNAME?=		${DISTNAME:S/collectd/collectd-${COLLECTD_PACKAGE}/}

DEPENDS+=		collectd>=${PKGVERSION_NOREV}:../../sysutils/collectd

COLLECTD_PLUGINS?=	${COLLECTD_PACKAGE:S/-/_/}

BUILD_TARGET=		${COLLECTD_PLUGINS:S/$/.la/}
INSTALL_TARGET=		install-pkglibLTLIBRARIES
.  for plugin in ${COLLECTD_PLUGINS}
CONFIGURE_ARGS+=	--enable-${plugin}
GENERATE_PLIST+=	${ECHO} "lib/collectd/${plugin}.la";
.  endfor
.endif

.include "../../mk/bsd.prefs.mk"

BUILD_DEFS+=		VARBASE

# Disable all libs support by default
DISABLED_LIBS=		aquaero5 credis curl dbi esmtp ganglia gcrypt	\
			iptc lvm2app memcached mnl modbus mongoc mysql	\
			netsnmp notify oping owcapi pcap perl pq	\
			rabbitmq routeros rrd sensors sigrok statgrab	\
			tokyotyrant upsclient varnish xml2 xmms yajl
CONFIGURE_ARGS+=	--with-java=no --with-mic=no --with-oracle=no	\
			--with-perl-bindings=no --with-python=no	\
			--disable-all-plugins
.for lib in ${DISABLED_LIBS}
CONFIGURE_ARGS+=	--with-lib${lib}=no
.endfor
CONFIGURE_ARGS+=	--localstatedir=${VARBASE}
CONFIGURE_ARGS+=	--with-ltdl-lib=${BUILDLINK_PREFIX.libltdl}/lib
CONFIGURE_ARGS+=	--with-ltdl-include=${BUILDLINK_PREFIX.libltdl}/include

CONFIGURE_ARGS.NetBSD+=	ac_cv_func_getfsstat=no

CPPFLAGS.SunOS+=	-DSOLARIS2=${OS_VERSION:C/5.//}

.include "../../mk/compiler.mk"
# XXX: proper clang version check when we have support for it.
.if !empty(PKGSRC_COMPILER:Mclang) && ${OPSYS} != "Darwin"
CFLAGS+=	-Wno-error=tautological-pointer-compare \
		-Wno-error=pointer-bool-conversion
.endif

SUBST_CLASSES+=		ver
SUBST_MESSAGE.ver=	Fixing canonical version number
SUBST_STAGE.ver=	pre-configure
SUBST_FILES.ver=	configure.ac
SUBST_SED.ver=		-e 's,m4_esyscmd(./version-gen.sh),${PKGVERSION_NOREV},'

pre-configure:
	cd ${WRKSRC} && autoreconf

.include "../../devel/libltdl/buildlink3.mk"
.include "../../mk/pthread.buildlink3.mk"